[INCLUDE: common/materials_carpaint.ini]
CarPaintMaterial = body
; Metallic car paint
[Material_CarPaint_Metallic]
FresnelMax = 1
FresnelC = 0.1
BrightnessAdjustment = 0.9 ; compensates for ambient specular
ColoredSpecular = 0.9
AmbientSpecular = 0.6
AmbientSpecularEXP = 2.5
ClearCoatThickness = 0.06

[INCLUDE: common/materials_glass.ini]
[Material_Glass]
Materials = window
ThicknessMult = 1.5
EXTRA_MASK_PASS = 1
EXTRA_MASK_PASS_OPACITY = 1
FilmIOR= 2

[INCLUDE: common/materials_interior.ini]
[Material_Leather]
Materials= int1
Reflectance = 0.01
DetailNormalPBRSecondaryColor = 1, 1, 1, 0.08
BrightnessAdjustment = 0.025
OcclusionMap = 1.5

[WIPERS]
FRONT_0=wiper1
FRONT_1=wiper2
WIND_THRESHOLDS_KMH = 65, 190  ; speed for wipers to start vibrating and for maximum vibration
;WIND_AMPLITUDE_MULT = 1        ; multiplier for amplitude
;WIND_FREQUENCY_MULT = 1        ; multiplier for frequency
WIND_OFFSET = 0.005             ; base animation progress to vibrate around

[EXHAUST_FLAMES]
ANTILAG=1 ; turbo antilag, i havent tested this yet
ANTILAG_DELAY=0.0 ; how long after antilag trigger do flames start, in seconds
ANTILAG_INTENSITY=40 ; flame size
ANTILAG_INTERVAL_MAX=9000
ANTILAG_INTERVAL_MIN=2000
ANTILAG_TURBO_THRESHOLD=0.5
DAMAGE=0 ; engine damage? idk
DAMAGE_DURATION=0.00
DAMAGE_INTENSITY=0
DAMAGE_PROBABILITY=0
DISCHARGE=1 ; lifting off the throttle
DI3CHARGE_CHARGE_TIME=0.001 ; how long you have to press the throttle to "charge" the flames
DISCHARGE_DELAY=0.1 ; delay after throttle lift
DISCHARGE_DURATION=3.1 ; length of flame shooting, in seconds
DISCHARGE_PROBABILITY=1; chance of flame shoot on lift, 1 is guaranteed, 0 is never
DISCHARGE_INTENSITY=5; flame size
DISCHARGE_RPM_THRESHOLD_MAX=9000 ; self explanatory
DISCHARGE_RPM_THRESHOLD_MIN=2000 ; self explanatory
DISCHARGE_WATER_TEMPERATURE_THRESHOLD=70
FLAT_SHIFT=1 ; on upshift
FLAT_SHIFT_COOLDOWN=0 ; after upshift
FLAT_SHIFT_DURATION=5 ; length of flame shooting, in seconds
FLAT_SHIFT_GAS_THRESHOLD=80 ; how much gas needs to be pressed on upshift for flame, 100 is wide open
FLAT_SHIFT_INTENSITY=5 ; flame size
FLAT_SHIFT_PROBABILITY=1 ; chance of flame shoot on upshift
FLAT_SHIFT_RPM_THRESHOLD=8500
LIMITER=1 ; on hitting the limiter
LIMITER_DELAY=0 ; delay, in seconds
LIMITER_INTENSITY=5 ; flame size
LIMITER_RPM_THRESHOLD=2000 ; limiter flames will not shoot below this rpm





[EMISSIVE_TURNSIGNAL_LEFT_0]
NAME=bmw_mcoupe_02_lod0_bumperFa_reflector___342_vertices_674_faces,bmw_mcoupe_02_lod0_body_detail_glass_clear___410_vertic_f4d.003,bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e53.002,bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e53.003,bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e53.006,bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e53.001,bmw_mcoup_lod0_glassLTL_lights_glass___396_vertices_e53.002,bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e53.005,bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e53.004
COLOR=20,10,0, 4
LAG=0.9
BLINK_FREQENCY_HZ = 1.45
SIMULATE_HEATING=4
LOCATION=REAR

[EMISSIVE_TURNSIGNAL_RIGHT_0]
NAME=bmw_mcoupe_02_lod0_body_detail_glass_clear___410_vertic_f4d.004,bmw_mcoupe_02_lod0_bumperFa_reflector___342_vertices_674_fa,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_446.001,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_446.006,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_446.005,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_446.003,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_446.004,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_446.002
COLOR=20,10,0, 4
LAG=0.9
BLINK_FREQENCY_HZ = 1.45
SIMULATE_HEATING=4
LOCATION=FRONT


[EMISSIVE_BRAKE_0]
NAME=bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e537231,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_446
COLOR=80,80,65
OFF_COLOR=20,20,20
LAG=0.8
SIMULATE_HEATING=1

[EMISSIVE_HIGHBEAM_0]
NAME=bmw_mcoupe_02_lod0_headlightR_detail_glass_clear___2035_7291418,bmw_mcoupe_02_lod0_headlightL_detail_glass_clear___2035_b3b820b
COLOR=80,80,65
LAG=0.8
SIMULATE_HEATING=1

[EMISSIVE_LIGHT_0]
NAME=bmw_mcoupe_02_cockpit_interior_gauge_emissive___189_ver_fe06c0b
COLOR=20,20,20
LAG=0.8
SIMULATE_HEATING=1

[EMISSIVE_REVERSE_0]
NAME=bmw_mcoupe_02_lod0_glassLTL_lights_glass___396_vertices_e53,bmw_mcoupe_02_lod0_glassRTL_lights_glass___396_vertices_44650a5
COLOR=80,80,65
LAG=0.8
SIMULATE_HEATING=1